# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.
use Mix.Config

# General application configuration
config :tech_radar_editor,
  ecto_repos: [TechRadarEditor.Repo]

# Configures the endpoint
config :tech_radar_editor, TechRadarEditor.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "5btbcSZ/oy+Q0y3+znvIVda7rhJvjPp/76jhi02mAAlmcVpWlCQ2bi3HmfPPFm63",
  render_errors: [view: TechRadarEditor.ErrorView, accepts: ~w(html json)],
  pubsub: [name: TechRadarEditor.PubSub,
           adapter: Phoenix.PubSub.PG2]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env}.exs"
