defmodule TechRadarEditor.RadarDataPoint do
  use TechRadarEditor.Web, :model

  schema "radar_data_point" do
    field :quadrant, :integer
    field :cycle, :integer
    field :is_new, :boolean, default: false
    field :name, :string
    field :description, :string

    timestamps()
  end

  @doc """
  Builds a changeset based on the `struct` and `params`.
  """
  def changeset(struct, params \\ %{}) do
    struct
    |> cast(params, [:quadrant, :cycle, :is_new, :name, :description])
    |> validate_required([:quadrant, :cycle, :is_new, :name])
    |> validate_inclusion(:quadrant, 1..4)
    |> validate_inclusion(:cycle, 1..4)
  end

  def quadrants do
     ["Tool", "Technique", "Platform", "Language"]
  end

  def cycles do
     ["Adopt", "Trial", "Assess", "Hold"]
  end


end
